DYNPARAMS

A DynRPG plugin which allows parameter overwriting

The DynParams plugin serves to allow scripters in RPG Maker 2003 to overwrite the parameters of RPG Maker 2003's event commands using "comment commands". The primary benefit of this is that you can use variable values to determine the parameters at run-time, making certain commands much more flexible and powerful. For example, you can effectively apply variable references to the Call Common Event, Show Battle Animation, and Show Picture commands, to name just a few useful examples. You can also overwrite string parameters, including those of comments. This in turn means that you can construct comment commands at run-time for other plugins using the DynParams plugin.

Details

  • 1.3 MB
  • 189
  • 09/11/2019 10:54 PM

Actions

Posts

Pages: first 12 next last
December 5, 2014: uploaded a version with some minor fixes to the plugin and documentation.
January 9, 2015: uploaded a version which fixes a crash resulting from empty Comment lines. Also fixed an incomplete sentence in the @dynparams_clear_params section of the documentation, and added helpful quick references to ASCII code in Move Event section.
February 5, 2015: uploaded a version with updated documentation explaining a peculiarity I discovered in how the Switch ON and Switch OFF subcommands of the Move Event command handle switch numbers 128 and above.
JosephSeraph
奇跡なゲイパワー♡
6876
whoaaaaaa *-----------*
You guys are so osom <3 <3 <3
Thanks, it's nice to get some feedback, especially of the positive variety. :)

February 11, 2015: uploaded a version with updated documentation fixing errors in the Switch Operations and Timer Operations sections, and modifying the Variable Operations section for stylistic consistency.
This plugin is underrated. It is amazing. Well done, Aubrey, you are the guy ! I've been dreaming of this plugin for decades, and you finally done it fully. You rock.
April 30, 2015: reuploaded the plugin simply to fix the download link, which was broken when RPG Maker 2003 stuff on the website was reclassified to RPG Tsukuru 2003. No changes to the plugin itself.
Hello! Thank you for this amazing plugin!

However, I've got a Runtime error on one project. Other DynPlugins are working on it, so I think the problem should come from DynParams?

Cheers!
author=AlexRE
Hello! Thank you for this amazing plugin!

However, I've got a Runtime error on one project. Other DynPlugins are working on it, so I think the problem should come from DynParams?

Cheers!


Thanks for the bug report, but I'm afraid that error message doesn't tell me much. Does this happen only when DynParams.dll is in your project's DynPlugins folder? Are you actually using DynParams comment commands in your project, or does this happen just from having DynParams.dll in the project?
Sorry, it's happening just from having DynParams.dll in the project (before I add any command)...
Well, it's pretty hard to tell what's going wrong without watching it happen. If you could put your project someplace where I could download it, maybe I could take a look. You say this is happening for just one of your projects? Are there any other plugins in the project, or patches besides DynRPG on the game? Does the crash happen immediately upon starting the game?
Okay, I've found a way to play without having this bug (deleting a common event), but after a few seconds the bug happened again.

I've eventually noticed that it's happening when there are empty comments in events ! (You could argue that empty comments are useless when you create a game, but actually they are useful for better event reading.)
...That's kind of weird, I actually found that bug myself and squashed it a while ago. c.ca I even announced fixing it up in the second reply of this thread, so I'm pretty sure I uploaded the new version that works okay with empty comments. Is it possible you downloaded the old version of the plugin which was available up until January 10th?

Edit: Scratch that, I just tried downloading it from here myself and it was an older version somehow. Maybe I selected the wrong file the last time I uploaded...or, considering how when I uploaded the newest one again and tried downloading again it came back as DynParams_8.zip, maybe something changed about the file system here on RMN and it was causing an older version to be sent out. -.-a At any rate, when I download it now it really is the latest version, so give that a try.
Yeah, awesome !

EDIT : I've tried and it's working great. Cheers !
Hello ! Just discovered this DynRPG plugin, and it looks wonderful :D

However, after adding the .dll to the DynPlugins folder, the game tells me "Plugin DynParams.dll is not compatible with this version of DynRPG!"

What should I do ? I think I'm using the last version of DynRPG.
Hmmm, I'm not sure. I just tried downloading the latest version from http://www.rewking.com/dynrpg/ (dynrpg_0_32_02-25-2017.rar) and patching a project with it, and DynParams.dll works fine with it. Can you find a version number for the DynRPG you're using?

EDIT: Also, just to make sure, you aren't using the official English port of RPG Maker 2003, are you? DynRPG is, unfortunately, only compatible with the fan-port version.
Not sure of the version fo DynRPG I'm using (I don't know where to check this information), so I'll download it from your link and create a new project to see if I still have this issue with DynParams. I'll keep you updated.

I'm using this version of RM2003 :


DynRPG works fine for the other DynRPG plugins I use.

Thanks for the quick answer by the way!^^

EDIT : Just checked it, I have the latest version of DynRPG (dynrpg_0_32_02-25-2017.rar), since I added it this summer and the last upload on Cherry's website is from February
Well then, I'm not sure what the problem is. My only suggestion is to try compiling the plugin yourself using the source code included in the DynParams download. There are instructions on the DynRPG website at http://www.rewking.com/dynrpg/getting_started.html for making plugins. I know that's a lot of headache, but it's all I can think of that might work.
I started a project from scratch, adding DynRPG and DynParams and it works fine (the game launches normally and I was also able to overwrite a command).

I don't know why I have this issue on my current project, maybe an incompatibility with another DynRPG plugin? I'll continue to investigate and if I find the cause, I'll tell you.

EDIT : Ok, your plugin should be fine, it's an issue with my DynRPG version - I don't know how it's possible since I donwloaded it this summer but it looks like I haven't the correct version.
It's not over though, since I can't launch my game after applying the correct DynRPG patch - but since it has nothing to do with your plugin, I'll ask for help in the correct topic. Thanks again for your help !
Hello again! :D

This plugin is definitely useful! It makes things easier for my project. However, I have a problem with overwriting the "Move event" command. I'm probably doing something wrong!

Basically, it's for a Pokemon storage system - think of Ruby / Sapphire storage system, with all the stored Pokemon displayed on screen. I have 30 events, each of these can be any of the 120+ Pokemon, so doing all that stuff with conditional branches would be a nightmare. Fortunately, thanks to DynParams, I should be able to do that with only 1 Move Event.

Here's what I have:



Variable 51 is the id of the event to move
Variable 52 is the length of the file name (3 characters)
Variables 53 to 55 correspond to the file name ("p00")
Variable 56 is the index of the char in this file (0)


...and when I test it, the event's charset is changed for the right charset, so it works perfectly... except it also moves the event 1 tile up, I don't know why.

Is there something wrong in my script? I checked the documentation several times but I can't find how to fix it.

Thanks for your help^^
Pages: first 12 next last